# Event Bus

Bindplane uses an event bus to communicate between components within Bindplane. When operating Bindplane in high availability mode, the event bus can be used to send events between Bindplane servers.

When operating in high availability, the following event bus options are available:

* [NATS](#nats)
* [Google Pub/Sub](#google-pub-sub)

### NATS

The NATS event bus is Bindplane's embedded event bus, suitable for high availability without\
the need for external infrastructure.

See the [NATS Configuration](/configuration/bindplane/nats-as-event-bus.md) documentation for more information.

### Google Pub/Sub

[Google Cloud Pub/Sub](https://cloud.google.com/pubsub) is an excellent event bus choice for users with access to Google Cloud. Setup is simple, and the maintenance overhead of Pub/Sub is very low.

```yaml
eventBus:
  type: googlePubSub
  googlePubSub:
    projectID: myproject
    credentialsFile: operation-service-account-credentials.json
    topic: bindplane
```

For a list of supported options, see the [Google Pub/Sub](/configuration/bindplane.md) section in the configuration documentation.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bindplane.com/production-checklist/bindplane/high-availability/event-bus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
